Package uk.co.mccombe.mapping

# Class AustrianM31

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.TransverseMercator
uk.co.mccombe.mapping.BMN
uk.co.mccombe.mapping.AustrianM31

public class AustrianM31 extends BMN

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.BMN

`zonename`

### Fields inherited from class uk.co.mccombe.mapping.TransverseMercator

`northernHemisphere, zone`

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`AustrianM31(ENPair en, Ellipsoid e, Datum d)`
`AustrianM31(Position p, Ellipsoid e, Datum d)`

## Method Summary

Modifier and Type
Method
Description
`double`
`e0()`
e0() defines the "false easting" distance of the projection.
`double`
`lamda0()`
lamda0() defines the longitude (in radians) of the true origin also known as the "Central Meridian".
`static AustrianM31`
`makePoint(String gridRef, Ellipsoid e, Datum d)`

### Methods inherited from class uk.co.mccombe.mapping.BMN

`defaultDatum, defaultEllipsoid, f0, n0, phi0, toString`

### Methods inherited from class uk.co.mccombe.mapping.TransverseMercator

`gridConvergence, pointScaleFactor, toEN`

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AustrianM31

public AustrianM31(Position p, Ellipsoid e, Datum d)

### AustrianM31

public AustrianM31(ENPair en, Ellipsoid e, Datum d)

## Method Details

### makePoint

public static AustrianM31 makePoint(String gridRef, Ellipsoid e, Datum d) throws GridFormatException

Throws:
  `GridFormatException`

### e0

public double e0()
Description copied from class: `TransverseMercator`
e0() defines the "false easting" distance of the projection. False origins are usually used with TM projections to ensure that easting and northing distances are always positive over the area of interest. e0() is used as an offset to the grid so that the "true origin" appears to have an easting value equal to e0().

Specified by:
  `e0` in class `TransverseMercator`
Returns:
  The false easting distance (double)

### lamda0

public double lamda0()
Description copied from class: `TransverseMercator`
lamda0() defines the longitude (in radians) of the true origin also known as the "Central Meridian".

Specified by:
  `lamda0` in class `TransverseMercator`
Returns:
  The central meridian (radians)